<template>
    <a-table 
      :columns="columns" 
      :dataSource="data" 
      :rowKey="record => record.id" 
      :pagination="pagination"
      @change="handleTableChange"
      :loading="loading" >

      <span slot="action1" slot-scope="text, record">
        <router-link exact-active-class="active" :to="{ name: 'role.form',params:{type:'update', id:record.id}}" :style="'color:rgba(0, 0, 0, 0.65)'">
          <a-button type="primary">Editar</a-button>  
        </router-link>
      </span>
    </a-table>
</template>
<script>
export default {
  data() { 
    return {
      confirmLoading: false,
      pagination:{},
      loading: false,
      data: [],
      columns: [
        { title: "Nombre", dataIndex: "name", key: "name" },
        {
          title: "",
          key: "action1",
          align: "right",
          scopedSlots: { customRender: "action1" }
        },
      ]
    };
  },
  methods: {
    handleTableChange(pagination) {
      const pager = { ...this.pagination };
      pager.current = pagination.current;
      this.pagination = pager;
      this.fetch({
        //results: pagination.pageSize,
        page: pagination.current,
        
      });
    },
    fetch(params = {}) {
      this.loading = true;
      axios.get("/admin/role", {params}).then(response => {
        const pagination = { ...this.pagination };
        // Read total count from server
        // pagination.total = data.totalCount;

        pagination.pageSize= response.data.per_page;
        pagination.total = response.data.total;

        this.loading = false;
        this.data = response.data.data;
        this.pagination = pagination;
      });
    },
  },
  mounted() {
    this.fetch();
  }
};
</script>
